commit 4063190bf2fd7e3c61b80e98d72e134609612bf8
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed May 21 20:51:03 2014 +0200

    Bump to 1.0.7
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 16e54de5d8c58a1d051a5f4bcb7357aa9f9facff
Author: Greg Turner <gmt@be-evil.net>
Date:   Mon Mar 24 20:37:15 2014 +0100

    Pass files to cpp via CLI arg instead of stdin to workaround gcc 4.8 change
    
    Replicates Alan Coopersmith's fix for xinit.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=74031
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit f231ed52c4adeb071de0553af7a575687a6d3dc5
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Aug 17 12:12:08 2013 +0200

    Replace fprintf with fputs
    
    Fix build failure with -Werror=format-security:
    imake.c:1008:5: error: format not a string literal and no format arguments [-Werror=format-security]
         fprintf (inFile, command);
         ^
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 89494a51d006c20d16d3f08225a0345fecaae546
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 22 21:52:56 2013 -0700

    imake 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb9cbad3cfaee60bf88ef50b5a165ed9321d4548
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Jun 6 16:11:33 2013 -0400

    Avoid use of low-level troff markup that can't be lifted structurally.

commit 4db5afc933064ab165cd081c0d5a83bef87b770e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 09:15:52 2013 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6cb46d6d9c7ce6fbf32381edec5bfa993f8bdda9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 19:59:14 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1675120e31e1e54f184da2c0cce9d6f6ddb0c892
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 27 17:00:43 2012 -0800

    Let configure pick cpp path on Solaris, instead of hardcoding in imakemdep.h
    
    Simply removing the definition lets the path found by configure be used,
    seems to be the simplest way to handle the move from /usr/ccs/lib/cpp on
    Solaris 10 and older to /usr/lib/cpp on Solaris 11 & later.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5a9246d6804ab8a6f2f23f3f4ace84a415140937
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 11:19:39 2012 -0700

    Ensure inFile is always closed on error in cppit()
    
    Another instance of the can-return-in-rare-cases nature of LogFatal()
    raising red flags in static analysis.
    
    Resolves warning from Parfait 1.0.1:
    Error: File Leak
       File Leak: Leaked File inFile
            at line 1719 of imake.c in function 'cppit'.
              inFile initialized at line 1699 with fopen
              inFile leaks when inFile != NULL at line 1700
                  and fprintf(inFile, "%s\n", "/* imake - temporary file */") < 0 at line 1702.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 464ba911c3b84abb0140e9f66756d1cc887f78ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 11:10:46 2012 -0700

    Avoid closing inFile twice in CheckImakefileC if LogFatal returns
    
    Imake's LogFatal() checks if it's being re-entered and if so, returns,
    so we can't mark it NORETURN, leading to static analyzers believing it
    can return even in call paths it shouldn't.
    
    Resolves warning from Parfait 1.0.1:
    Error: File Invalid
       File not Initialized: The value inFile is not initialized as a file.
            at line 748 of imake.c in function 'CheckImakefileC'.
              inFile initialized at line 738 with fopen(masterc, "r").
              inFile destroyed at line 745 with fclose(inFile).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 061960e38cb0d6873bda2550f6a8952668193888
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:47:27 2012 -0800

    imake 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 575c3788c8b770a2c32c9d8461bc7422e3b89676
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 18:05:36 2012 -0800

    xmkmf.man: Remove instructions for "X Consortium" monolithic build tree
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d33b96db427a2305bd230360c9653a91dbff79e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:55:13 2011 -0700

    Fix a bunch of "too many arguments for format" warnings
    
    Now that the log functions take variable arguments, don't need to pass
    empty strings when there is no argument for the format string.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e3e7fec072591389b4f7b89475ea81e6a4e0ee5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:50:48 2011 -0700

    Convert error logging functions to normal idioms
    
    Allows use of printf attributes for checking format strings/arguments,
    gets rid of LogFatalI wrapper just used for casting int to char *.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5aed95badf1bab68b848234fdd25da1ea7025264
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:36:53 2011 -0700

    Rework temp filename pointers into const & non-const parts
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bfdbd65cf45eae6ba3565348cec1eeb09927cf5e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:31:52 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7f299010c9327ab1a65a6b781c58b4c3098d13b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:11:43 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 99bb38c528f87a2692253ede9f54c4320c6f0986
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 20:21:30 2011 -0800

    Remove unused variable in get_sun_compiler_versions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d2e1f5ca4614afbc1ca30581fcb1f6e50423fc06
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Nov 1 14:29:33 2010 +1000

    Silence useless pedantry warning from find(1) when running cleanlinks.
    
    "find: warning: you have specified the -depth option after a non-option
    argument -type, but options are not positional (-depth affects tests
    specified before it as well as those specified after it).  Please specify
    options before other arguments."
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit bf237073d39629599cb77bf0144f862c175bb640
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 19:10:35 2010 -0700

    imake 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 29c3c8f2fc3859b1c8e1dd1f2327ab51c40fca21
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 19:08:31 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a3c6e584a1fee04a6bc4c11581c283d5fa8c603
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 19:04:22 2010 -0700

    Use autoconf standard HAVE_MKSTEMP instead of HAS_MKSTEMP
    
    We no longer need to maintain compatibility with the monolith
    Imakefile -D flags in the sources.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6587b17a6aef0404853ad5113158fddf4a90219
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 18:59:39 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC, AC_PROG_SED, & AC_PROG_INSTALL are provided by
     XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdf937d11774595eefc2ded78dcdf52dfe420443
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 18:57:15 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca3374aee64c71c810159839c9b54c84b2bced24
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Apr 27 20:18:10 2010 -0500

    Nuke RCS tags
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01a05f973d52edc461c1100a939a70ea0ce9b048
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Apr 27 20:38:15 2010 -0500

    mkdirhier: use mkdir -p
    
    The '-p' option to mkdir(1) is required by SUSv2/Unix98, so we should be
    able to rely on it on all systems we support.  Some parts need to be
    left in place in order to not alter some of its ancient, shall we say,
    quirks.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 098bf61eb89c3d93d2ed814d3e39e6412f6fcf9e
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Apr 27 19:18:27 2010 -0500

    Use standard .gitignore with custom section for imake
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Gaetan Nadon <gaetan.nadon@videotron.ca>

commit 04da52fb5c4721c0218dbe6537c9ad0f7bd2ab04
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Apr 27 19:14:35 2010 -0500

    Use AC_PROG_SED to find sed
    
    AC_PROG_SED sets SED as the path to a fully-functional 'sed' (which may
    also be called 'gsed' if GNU sed is installed alongside a proprietary
    version).
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1127a5cb3166f4d5d0564732b3842fe81bf3e701
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Apr 27 19:06:32 2010 -0500

    Allow for EXEEXT in appman_DATA rule
    
    As a result of commit 22578c3718e41da72c66ce6a4186ec7315d6e3ad:
    
    make[1]: *** No rule to make target `imake.exe.1', needed by `all-am'.
    make[1]: *** No rule to make target `revpath.exe.1', needed by `all-am'.
    
    On PE/COFF platforms EXEEXT is set to ".exe" and is appended by automake
    to all *_PROGRAMS.  For portability this must be accounted for in any
    custom rules which refer to any *_PROGRAMS.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 48145e04d24b1c575a22bac69c3c3033f72322fc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 15 19:52:20 2010 -0700

    imake 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6a71b39eb5a425aeee13f0e62d225dd0c6bf4e05
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 15 19:38:50 2010 -0700

    Fill in COPYING file with notices from code & man pages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d8c90973f5862e8d324a4e1cd94896a43d0c27e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 15 19:22:57 2010 -0700

    Use $(AM_V_GEN) to silence commands for generating scripts & man pages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a00cc6e7bd60eb81aeee4fa7dcbb3a07b352760d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 15 19:20:36 2010 -0700

    Migrate to xorg-macros 1.4, with XORG_DEFAULT_OPTIONS & INSTALL
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e25c6af47bfac6e2b6910f5d415d788cf3398c4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 8 10:25:14 2009 -0400

    imake: use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Build break: Makefile.am: command not found: git-log
    
    Adding the macro in configure.ac and use it in Makefile.am
    Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
    Tested: running autogen.sh, make and 'make dist'
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2e164f61a461a21a74f2050f8da886373307cc5a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 24 13:49:13 2009 -0700

    Make cpp statement indenting more consistent
    
    Auto-fixed with imdent from Paul Dubois (of imake book infamy)
    Also stripped trailing whitespace to make git happier
    
    git diff -w shows no changes in this patch other than whitespace
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 29e3bccdb5dbc5ea45d58bd3d454a4b8cda36398
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 24 13:45:09 2009 -0700

    Drop some ancient SunOS 4 & A/UX support bits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 209bab8478a5a205d715a5f2f50cd32c4b69581e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 24 13:43:15 2009 -0700

    Drop some unused #if 0 & #ifdef MONOLITH sections
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5667fbb0f85f2b34aaba7ea702e7d252f2d4adb6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 22 18:59:09 2009 -0700

    Convert HAS_MKSTEMP check from #if ...OS list... to autoconf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 22578c3718e41da72c66ce6a4186ec7315d6e3ad
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 22 18:26:21 2009 -0700

    Only install man pages for programs/scripts being installed
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 705178e8f8414730739386f8841cd99f49184d56
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 22 18:18:50 2009 -0700

    Add .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8f0d3c8cb5e74faffbb546b0a0b47a883859fd24
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 22 18:15:26 2009 -0700

    Doc updates: reflect current state, pointers to Paul Dubois website/book
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit eb8e41c3b3f280c34947579a5ee9fa511aee9acf
Merge: e215b32 9653950
Author: Jeremy C. Reed <reed@tx.reedmedia.net>
Date:   Thu Feb 14 23:27:42 2008 -0600

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/util/imake

commit e215b32a5b46a0c49be1baa4595f258f275c3fb0
Author: Jeremy C. Reed <reed@tx.reedmedia.net>
Date:   Thu Feb 14 22:41:51 2008 -0600

    Stop core dump.
    
    Don't abort() if pclose(). Because pipe may have already closed.
    
    This is in get_stackprotector (only on OpenBSD and DragonFly).

commit 96539504eec3e6e1e43a6f894770835765b0007d
Author: Jeremy C. Reed <reed@tx.reedmedia.net>
Date:   Thu Feb 14 22:41:51 2008 -0600

    Stop core dump.
    
    Don't abort() if pclose(). Because pipe may have already closed.
    
    This is in get_stackprotector (only on OpenBSD and DragonFly).
    
    I doubt this function even worked, because gcc -v goes to stderr so
    it reads nothing.

commit 7e541aa0efe7000972d992a3c1569c4f7a8d9201
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:16 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit e10ad52b0a0d4fc63120e6b301d21f0829beef77
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri May 19 18:44:42 2006 +0000

    Bump to 1.0.2

commit ef2ef80f564098fe244c5a2065930b8502879043
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Sat Apr 8 21:43:31 2006 +0000

    Allow specifying TMPDIR environment variable to use instead of /tmp, for
        systems on which /tmp is mounted noexec (Martin Schlemmer).

commit b8d8f49ba2660d4d84ca9c3e4a82118a07c4e889
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:08 2005 +0000

    Update package version for X11R7 release.

commit 7dd15a5adbad23deba0a7c2b5bb39a7bb39e70d6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:36:01 2005 +0000

    Stub COPYING files

commit bad47fc3927b766cde5af54c6c9786f2dac5345c
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:40 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 4c12f30420340a4a4f0f6f0d21d20da988982820
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Dec 11 17:18:40 2005 +0000

    Fix mkhtmlindex rules to not use $< so they work with non-GNU makes.

commit b87a680569dd388ad108d43087aee6c8a50ff663
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 10 16:30:35 2005 +0000

    Add support for building imake config utilities.

commit 15cb7c3dfb5b7d4a9e5d84514c8c5140ff6050c8
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:46 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit bab6d99929b6dfa339993093ea7dacffc98c5acd
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:47 2005 +0000

    Update package version number for X11R7 RC3 release.

commit a7790a9fc6e70f5dcefbe58219b5192857c88c45
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:00:24 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit c9db5d7eb65a59b7e4bae091acb8194bd01de284
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Nov 24 18:06:39 2005 +0000

    Add makeg script & man page to imake package

commit d6313cf27320281f24d6f852fc7f8d0bb8aacd6b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Nov 12 19:55:28 2005 +0000

    Substitute variables in man pages Set CPP_PROGRAM to path to cpp

commit cd8ef36c4862f710621c35a4732ca3d0e49e8d5e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:25:57 2005 +0000

    Update package version number for X11R7 RC2 release.

commit e53156a68f0138a8b0af408436fd54826b677cc6
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:24 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 009b63897b8d2bc4fd27ff04bc3884317cf0b17d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:16 2005 +0000

    Update package version number for RC1 release.

commit 19f4715eb18c20d357f03ca6b245bec5e58833e5
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Oct 8 20:46:40 2005 +0000

    Updates for modular build

commit f4937241d85b026f0beca69eba8ce448143e3f0f
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Oct 8 20:38:57 2005 +0000

    Build system for imake

commit 5acc1119e447c0855f649b9d8ae8ddb9cf8373b7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 16:17:10 2005 +0000

    Bug #3812 <https://bugs.freedesktop.org/show_bug.cgi?id=3812> Patch #3462
        <https://bugs.freedesktop.org/attachment.cgi?id=3462> GNU/kFreeBSD
        Imake support (Robert Millan)

commit ea133dd95dbd63d5db79af1f364e9678331989e2
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Aug 26 05:01:37 2005 +0000

    Make makedepend excruciatingly safe (Debian #011).

commit 5f90561e8ddcccec3d35355c7b4ad5925031f5d5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 02:13:55 2005 +0000

    Pass through __BUILTIN_VA_STRUCT and __BUILTIN_VA_ARG_INCR defines in
        makedepend so it doesn't issue errors when source files include
        <varargs.h> or <stdarg.h> on Solaris 10.

commit 65ea7b4cc68153673dcdce016acd6ee6acc4aec3
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Mar 2 11:20:29 2005 +0000

    xc/config/cf/DragonFly.cf
    xc/config/cf/Imake.cf
    xc/config/cf/Imakefile
    xc/config/imake/imake.c
    xc/config/imake/imakemdep.h
    xc/extras/drm/shared/drm.h
    xc/include/Xos_r.h
    xc/lib/xtrans/Xtranssock.c
    xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
    xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
    xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
    //bugs.freedesktop.org/show_bug.cgi?id=1712) attachment #2004
        (https://bugs.freedesktop.org/attachment.cgi?id=2004): Add support for
        DragonFly/BSD platform. Patch by Jeroen Ruigrok <asmodai@tendra.org>
        and Mike Verona <firedragonfly@gmail.com>.

commit ecdad73b62bb3222d02667d2add16d7417a5da9b
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Feb 24 15:31:09 2005 +0000

    enable detection of gcc compiler for cygwin and mingw

commit af6a6a1c8a30b88b2eb80aa47f58fd8ae26d9677
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jan 19 22:28:20 2005 +0000

    Pass through additional #defines for Solaris. (Sun bug id #5097074 - Alan
        Coopersmith)

commit 19e94341580c4c108c8d1615ae4542e2ee27431a
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:46 2004 +0000

    Encoding of numerous files changed to UTF-8

commit eb6967199448890591bec799d70c45827bc188eb
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 15 15:06:52 2004 +0000

    Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802 Added
        mingw (Win32) port

commit 36fbf892d1c2740afa51911b6f2c2e4bf8f871c0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Oct 30 20:33:43 2004 +0000

    Add -d flag for compilers like the Sun C compilers that produce dependency
        lists themselves. To use with the Sun compilers, add to host.def: #
        define UseCCMakeDepend YES # define DependFlags -cc $(CC) -d -xM (Sun
        bug id #4245688 - fix by Alan Coopersmith)
    Add Solaris to the platforms on which mprotect is run to set execute
        permissions when necessary. (Sun bug id #6175128 - fix by Alan
        Coopersmith)
    Internationalize digital output (Sun bug id #4119396 - fix by Steve
        Swales), add -bgpixmap option to set XPM file as background (originally
        from STSF project version of xclock by Alan Coopersmith)
    xc/programs/xmodmap/handle.c,pf.c xmodmap was printing line numbers which
        are one too low in error messages (Xorg bugzilla #1739, Sun bug id
        4637857 - fix by Sam Lau)

commit 02fa88c73e7df616e1c620996d613b56a119ea4d
Author: Egbert Eich <eich@suse.de>
Date:   Tue Oct 19 13:50:06 2004 +0000

    Enabling modules and DRI for Linux HPPA.
    Removing hpsocket.c as it isn't used anywhere any more (Bugzilla #1584).

commit 8be49ad988e8072389042bb9240b074b89a828ad
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:26:35 2004 +0000

    powerpc/powerpc64 build fixes.

commit 53f7aa94ebd7864b411320efe8a615580fad7085
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Oct 9 22:04:13 2004 +0000

    Fix ProPolice support for OpenBSD (merge with the HasGccStackProtector
        define that was used on OpenBSD).
    remove -ansi from DefaultCCOptions on OpenBSD.

commit a60680db574e2e6c910352c4093c06dc562741ef
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 11 21:14:02 2004 +0000

    Apply PPC64 build patch (Bug #303, Mike A. Harris, Alan Coopersmith).

commit e3174f16ac5aabc0da0c22c79b138103eaba0c28
Author: Eric Anholt <anholt@freebsd.org>
Date:   Fri Jun 11 17:59:30 2004 +0000

    Allow overriding of os version with OSREL env var on FreeBSD. Used in the
        ports cluster and cross-version testing.

commit 73f12a29fbfdac7f1cb7956f32564e253e313527
Author: Egbert Eich <eich@suse.de>
Date:   Thu May 6 17:31:17 2004 +0000

    BugZilla #601: Fixing makedepend choking on floating point exception
        because CHAR_BIT is defined to __CHAR_BIT__ which is a compiler
        intrinsic define. BugZilla #605: Fixing build on IA64 which is broken
        due to the inclusion of the kernel header asm/page.h. Kernel headers
        however don't work with
    -ansi. The inclusion of asm/page.h can however savely be removed as it
        there are plenty of other ways to determine the page size.

commit e825f4eabd82155a1327c42f16a6e3bcba96b311
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:42:00 2004 +0000

    Merging XORG-CURRENT into trunk

commit fa8f86352aab5825ca289969cfd11d90e56eb579
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:27:28 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 6c30fa731ba63151d792f278bf0b4dc3d2010d43
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:09:38 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit aa4808e4d4245d9ef0e6dae09670295da49972d0
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:34:16 2004 +0000

    readding XFree86's cvs IDs

commit cb1cabdedcd488a729923ef6677b5e7b13cb3d5a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:21:15 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b1abaa61cb80aa0c282dbb15c8d834c36c2c9443
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:06:33 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 91f4b859c20d25898da3324921758c2d35523fd5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:26:56 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit e5ab5c93d3178aa82b66e2c086b54e042930725e
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:20 2003 +0000

    XFree86 4.3.0.1

commit 1bc16368b0ff5701fa740aba943ac47a4f99b258
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:20 2003 +0000

    Initial revision

commit 86fae01174ab672736557a4bb1b2188cf3cec064
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:29 2003 +0000

    R6.6 is the Xorg base-line
